<?php
/**
 * Clase Base Bean para BaseCrClienteTelefonoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrClienteTelefonoBN
 * @author     Willy
 * @version    SVN:: BaseCrClienteTelefonoBN.class.php,v 1.1 2014-10-30 10:17:37 william.taype Exp $
 */
abstract class BaseCrClienteTelefonoBN
{
  protected $IdTelefono;
  protected $IdCliente;
  protected $IdTipoTelefono;
  protected $NombreTipoTelefono;
  protected $Pertenece;
  protected $IdOperador;
  protected $NombreOperador;
  protected $Numero;
  protected $FechaRegistro;
  protected $UsuarioRegistro;
  protected $FechaActualizacion;
  protected $UsuarioActualizacion;
  protected $Eliminado;
  protected $FechaEliminado;
  protected $UsuarioEliminado;
  protected $Estado;
  protected $Mensaje;
  protected $Error;

  public function getIdTelefono(){
    return $this->IdTelefono;
  }
  public function setIdTelefono($v1){
    $this->IdTelefono = $v1; 
  }

  public function getIdCliente(){
    return $this->IdCliente;
  }
  public function setIdCliente($v1){
    $this->IdCliente = $v1; 
  }

  public function getIdTipoTelefono(){
    return $this->IdTipoTelefono;
  }
  public function setIdTipoTelefono($v1){
    $this->IdTipoTelefono = $v1; 
  }

  public function getNombreTipoTelefono(){
    return $this->NombreTipoTelefono;
  }
  public function setNombreTipoTelefono($v1){
    $this->NombreTipoTelefono = $v1; 
  }

  public function getPertenece(){
    return $this->Pertenece;
  }
  public function setPertenece($v1){
    $this->Pertenece = $v1; 
  }

  public function getIdOperador(){
    return $this->IdOperador;
  }
  public function setIdOperador($v1){
    $this->IdOperador = $v1; 
  }

  public function getNombreOperador(){
    return $this->NombreOperador;
  }
  public function setNombreOperador($v1){
    $this->NombreOperador = $v1; 
  }

  public function getNumero(){
    return $this->Numero;
  }
  public function setNumero($v1){
    $this->Numero = $v1; 
  }
  
   public function getComentario(){
    return $this->Comentario;
  }
  public function setComentario($v1){
    $this->Comentario = $v1; 
  }

  public function getFechaRegistro(){
    return $this->FechaRegistro;
  }
  public function setFechaRegistro($v1){
    $this->FechaRegistro = $v1; 
  }

  public function getUsuarioRegistro(){
    return $this->UsuarioRegistro;
  }
  public function setUsuarioRegistro($v1){
    $this->UsuarioRegistro = $v1; 
  }

  public function getFechaActualizacion(){
    return $this->FechaActualizacion;
  }
  public function setFechaActualizacion($v1){
    $this->FechaActualizacion = $v1; 
  }

  public function getUsuarioActualizacion(){
    return $this->UsuarioActualizacion;
  }
  public function setUsuarioActualizacion($v1){
    $this->UsuarioActualizacion = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v1){
    $this->FechaEliminado = $v1; 
  }

  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v1){
    $this->UsuarioEliminado = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_cliente_telefonoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_cliente_telefonoRs )
  {
    $o_CrClienteTelefonoBN = new CrClienteTelefonoBN();
    $o_CrClienteTelefonoBN->setIdTelefono( $o_Cr_cliente_telefonoRs['IdTelefono'] );
    $o_CrClienteTelefonoBN->setIdCliente( $o_Cr_cliente_telefonoRs['IdCliente'] );
    $o_CrClienteTelefonoBN->setIdTipoTelefono( $o_Cr_cliente_telefonoRs['IdTipoTelefono'] );
    $o_CrClienteTelefonoBN->setNombreTipoTelefono( $o_Cr_cliente_telefonoRs['NombreTipoTelefono'] );
    $o_CrClienteTelefonoBN->setPertenece( $o_Cr_cliente_telefonoRs['Pertenece'] );
    $o_CrClienteTelefonoBN->setIdOperador( $o_Cr_cliente_telefonoRs['IdOperador'] );
    $o_CrClienteTelefonoBN->setNombreOperador( $o_Cr_cliente_telefonoRs['NombreOperador'] );
    $o_CrClienteTelefonoBN->setNumero( $o_Cr_cliente_telefonoRs['Numero'] );
    $o_CrClienteTelefonoBN->setFechaRegistro( $o_Cr_cliente_telefonoRs['FechaRegistro'] );
    $o_CrClienteTelefonoBN->setUsuarioRegistro( $o_Cr_cliente_telefonoRs['UsuarioRegistro'] );
    $o_CrClienteTelefonoBN->setFechaActualizacion( $o_Cr_cliente_telefonoRs['FechaActualizacion'] );
    $o_CrClienteTelefonoBN->setUsuarioActualizacion( $o_Cr_cliente_telefonoRs['UsuarioActualizacion'] );
    $o_CrClienteTelefonoBN->setEliminado( $o_Cr_cliente_telefonoRs['Eliminado'] );
    $o_CrClienteTelefonoBN->setFechaEliminado( $o_Cr_cliente_telefonoRs['FechaEliminado'] );
    $o_CrClienteTelefonoBN->setUsuarioEliminado( $o_Cr_cliente_telefonoRs['UsuarioEliminado'] );
    $o_CrClienteTelefonoBN->setEstado( $o_Cr_cliente_telefonoRs['Estado'] );
    return $o_CrClienteTelefonoBN;
  }
}